package com.dbs.mplus.fatima.receiver;

import com.dbs.mplus.fatima.MPlusConstants;
import com.dbs.mplus.fatima.util.IntentUtil;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
/**
 * 서비스로부터 Push를 받아서 화면에 보여주기 
 * 
 * @author hyeeun 
 *
 */
public class PushMessageAlertReceiver extends BroadcastReceiver {


	@Override
	public void onReceive(Context context, Intent intent) {
		// push 메시지를 수신한 경우 
		if(MPlusConstants.ACTION_PUSH.equals(intent.getAction())) {
			// 보여주기 
			Intent i = IntentUtil.getNotifyIntent(context, MPlusConstants.ACTION_PUSH, intent.getExtras());
			context.startActivity(i);
		}
	}
}
